[Overview][Resource strings][Types][Classes][Index] | Reference for unit 'eventlog' (#fcl)

# TEventLog.UnRegisterMessageFile

Unregister the message file (needed on windows only)

## Declaration

Source position: eventlog.pp line 74

`public function TEventLog.UnRegisterMessageFile: Boolean; virtual;`

## Function result

True if the message file was successfully unregistered, false if an error occurred.

## Description

UnRegisterMessageFile can be used to unregister a message file previously registered with TEventLog.RegisterMessageFile. This function is usable only on windows, it has no effect on other platforms. Note that windows locks the registered message file while viewing messages, so unregistering helps to avoid file locks while event viewer is open.

## See also

TEventLog.RegisterMessageFile |  | Register message file

The latest version of this document can be found at lazarus-ccr.sourceforge.net.